gdjs.Untitled_32sceneCode = {};
gdjs.Untitled_32sceneCode.GDNewSpriteObjects1= [];
gdjs.Untitled_32sceneCode.GDNewSpriteObjects2= [];
gdjs.Untitled_32sceneCode.GDCat6Objects1= [];
gdjs.Untitled_32sceneCode.GDCat6Objects2= [];
gdjs.Untitled_32sceneCode.GDCrateObjects1= [];
gdjs.Untitled_32sceneCode.GDCrateObjects2= [];
gdjs.Untitled_32sceneCode.GDCrate2Objects1= [];
gdjs.Untitled_32sceneCode.GDCrate2Objects2= [];
gdjs.Untitled_32sceneCode.GDSausagePackagedObjects1= [];
gdjs.Untitled_32sceneCode.GDSausagePackagedObjects2= [];
gdjs.Untitled_32sceneCode.GDBox2Objects1= [];
gdjs.Untitled_32sceneCode.GDBox2Objects2= [];
gdjs.Untitled_32sceneCode.GDNewTextObjects1= [];
gdjs.Untitled_32sceneCode.GDNewTextObjects2= [];
gdjs.Untitled_32sceneCode.GDWhiteDecoratedButtonObjects1= [];
gdjs.Untitled_32sceneCode.GDWhiteDecoratedButtonObjects2= [];
gdjs.Untitled_32sceneCode.GDFloatingOutButtonDarkBlueObjects1= [];
gdjs.Untitled_32sceneCode.GDFloatingOutButtonDarkBlueObjects2= [];


gdjs.Untitled_32sceneCode.mapOfGDgdjs_46Untitled_9532sceneCode_46GDCat6Objects1Objects = Hashtable.newFrom({"Cat6": gdjs.Untitled_32sceneCode.GDCat6Objects1});
gdjs.Untitled_32sceneCode.mapOfGDgdjs_46Untitled_9532sceneCode_46GDSausagePackagedObjects1Objects = Hashtable.newFrom({"SausagePackaged": gdjs.Untitled_32sceneCode.GDSausagePackagedObjects1});
gdjs.Untitled_32sceneCode.mapOfGDgdjs_46Untitled_9532sceneCode_46GDCrate2Objects1Objects = Hashtable.newFrom({"Crate2": gdjs.Untitled_32sceneCode.GDCrate2Objects1});
gdjs.Untitled_32sceneCode.mapOfGDgdjs_46Untitled_9532sceneCode_46GDCat6Objects1Objects = Hashtable.newFrom({"Cat6": gdjs.Untitled_32sceneCode.GDCat6Objects1});
gdjs.Untitled_32sceneCode.mapOfGDgdjs_46Untitled_9532sceneCode_46GDCrate2Objects1Objects = Hashtable.newFrom({"Crate2": gdjs.Untitled_32sceneCode.GDCrate2Objects1});
gdjs.Untitled_32sceneCode.mapOfGDgdjs_46Untitled_9532sceneCode_46GDBox2Objects1Objects = Hashtable.newFrom({"Box2": gdjs.Untitled_32sceneCode.GDBox2Objects1});
gdjs.Untitled_32sceneCode.mapOfGDgdjs_46Untitled_9532sceneCode_46GDCat6Objects1Objects = Hashtable.newFrom({"Cat6": gdjs.Untitled_32sceneCode.GDCat6Objects1});
gdjs.Untitled_32sceneCode.mapOfGDgdjs_46Untitled_9532sceneCode_46GDBox2Objects1Objects = Hashtable.newFrom({"Box2": gdjs.Untitled_32sceneCode.GDBox2Objects1});
gdjs.Untitled_32sceneCode.eventsList0 = function(runtimeScene) {

{


let isConditionTrue_0 = false;
isConditionTrue_0 = false;
isConditionTrue_0 = gdjs.evtTools.runtimeScene.sceneJustBegins(runtimeScene);
if (isConditionTrue_0) {
{runtimeScene.getGame().getVariables().get("мясо").setNumber(0);
}}

}


{


let isConditionTrue_0 = false;
{
gdjs.copyArray(runtimeScene.getObjects("Cat6"), gdjs.Untitled_32sceneCode.GDCat6Objects1);
{gdjs.evtTools.camera.centerCamera(runtimeScene, (gdjs.Untitled_32sceneCode.GDCat6Objects1.length !== 0 ? gdjs.Untitled_32sceneCode.GDCat6Objects1[0] : null), true, "", 0);
}}

}


{

gdjs.copyArray(runtimeScene.getObjects("Cat6"), gdjs.Untitled_32sceneCode.GDCat6Objects1);
gdjs.copyArray(runtimeScene.getObjects("SausagePackaged"), gdjs.Untitled_32sceneCode.GDSausagePackagedObjects1);

let isConditionTrue_0 = false;
isConditionTrue_0 = false;
isConditionTrue_0 = gdjs.evtTools.object.hitBoxesCollisionTest(gdjs.Untitled_32sceneCode.mapOfGDgdjs_46Untitled_9532sceneCode_46GDCat6Objects1Objects, gdjs.Untitled_32sceneCode.mapOfGDgdjs_46Untitled_9532sceneCode_46GDSausagePackagedObjects1Objects, false, runtimeScene, false);
if (isConditionTrue_0) {
/* Reuse gdjs.Untitled_32sceneCode.GDSausagePackagedObjects1 */
{for(var i = 0, len = gdjs.Untitled_32sceneCode.GDSausagePackagedObjects1.length ;i < len;++i) {
    gdjs.Untitled_32sceneCode.GDSausagePackagedObjects1[i].deleteFromScene(runtimeScene);
}
}{runtimeScene.getGame().getVariables().get("мясо").add(1);
}}

}


{

gdjs.copyArray(runtimeScene.getObjects("Cat6"), gdjs.Untitled_32sceneCode.GDCat6Objects1);
gdjs.copyArray(runtimeScene.getObjects("Crate2"), gdjs.Untitled_32sceneCode.GDCrate2Objects1);

let isConditionTrue_0 = false;
isConditionTrue_0 = false;
isConditionTrue_0 = gdjs.evtTools.object.hitBoxesCollisionTest(gdjs.Untitled_32sceneCode.mapOfGDgdjs_46Untitled_9532sceneCode_46GDCrate2Objects1Objects, gdjs.Untitled_32sceneCode.mapOfGDgdjs_46Untitled_9532sceneCode_46GDCat6Objects1Objects, false, runtimeScene, false);
if (isConditionTrue_0) {
/* Reuse gdjs.Untitled_32sceneCode.GDCat6Objects1 */
/* Reuse gdjs.Untitled_32sceneCode.GDCrate2Objects1 */
{for(var i = 0, len = gdjs.Untitled_32sceneCode.GDCat6Objects1.length ;i < len;++i) {
    gdjs.Untitled_32sceneCode.GDCat6Objects1[i].separateFromObjectsList(gdjs.Untitled_32sceneCode.mapOfGDgdjs_46Untitled_9532sceneCode_46GDCrate2Objects1Objects, false);
}
}}

}


{


let isConditionTrue_0 = false;
isConditionTrue_0 = false;
isConditionTrue_0 = gdjs.evtTools.input.isKeyPressed(runtimeScene, "Left");
if (isConditionTrue_0) {
gdjs.copyArray(runtimeScene.getObjects("Cat6"), gdjs.Untitled_32sceneCode.GDCat6Objects1);
{for(var i = 0, len = gdjs.Untitled_32sceneCode.GDCat6Objects1.length ;i < len;++i) {
    gdjs.Untitled_32sceneCode.GDCat6Objects1[i].flipX(true);
}
}}

}


{

gdjs.copyArray(runtimeScene.getObjects("Box2"), gdjs.Untitled_32sceneCode.GDBox2Objects1);
gdjs.copyArray(runtimeScene.getObjects("Cat6"), gdjs.Untitled_32sceneCode.GDCat6Objects1);

let isConditionTrue_0 = false;
isConditionTrue_0 = false;
isConditionTrue_0 = gdjs.evtTools.object.hitBoxesCollisionTest(gdjs.Untitled_32sceneCode.mapOfGDgdjs_46Untitled_9532sceneCode_46GDBox2Objects1Objects, gdjs.Untitled_32sceneCode.mapOfGDgdjs_46Untitled_9532sceneCode_46GDCat6Objects1Objects, false, runtimeScene, false);
if (isConditionTrue_0) {
/* Reuse gdjs.Untitled_32sceneCode.GDBox2Objects1 */
/* Reuse gdjs.Untitled_32sceneCode.GDCat6Objects1 */
{for(var i = 0, len = gdjs.Untitled_32sceneCode.GDCat6Objects1.length ;i < len;++i) {
    gdjs.Untitled_32sceneCode.GDCat6Objects1[i].separateFromObjectsList(gdjs.Untitled_32sceneCode.mapOfGDgdjs_46Untitled_9532sceneCode_46GDBox2Objects1Objects, false);
}
}}

}


{


let isConditionTrue_0 = false;
isConditionTrue_0 = false;
isConditionTrue_0 = gdjs.evtTools.input.isKeyPressed(runtimeScene, "Right");
if (isConditionTrue_0) {
gdjs.copyArray(runtimeScene.getObjects("Cat6"), gdjs.Untitled_32sceneCode.GDCat6Objects1);
{for(var i = 0, len = gdjs.Untitled_32sceneCode.GDCat6Objects1.length ;i < len;++i) {
    gdjs.Untitled_32sceneCode.GDCat6Objects1[i].flipX(false);
}
}}

}


{


let isConditionTrue_0 = false;
{
gdjs.copyArray(runtimeScene.getObjects("NewText"), gdjs.Untitled_32sceneCode.GDNewTextObjects1);
{for(var i = 0, len = gdjs.Untitled_32sceneCode.GDNewTextObjects1.length ;i < len;++i) {
    gdjs.Untitled_32sceneCode.GDNewTextObjects1[i].setString(gdjs.evtTools.common.toString(gdjs.evtTools.variable.getVariableNumber(runtimeScene.getGame().getVariables().get("мясо"))));
}
}}

}


{


let isConditionTrue_0 = false;
isConditionTrue_0 = false;
isConditionTrue_0 = gdjs.evtTools.variable.getVariableNumber(runtimeScene.getGame().getVariables().get("мясо")) >= 17;
if (isConditionTrue_0) {
{gdjs.evtTools.runtimeScene.pushScene(runtimeScene, "Безымянная сцена");
}}

}


{

gdjs.copyArray(runtimeScene.getObjects("WhiteDecoratedButton"), gdjs.Untitled_32sceneCode.GDWhiteDecoratedButtonObjects1);

let isConditionTrue_0 = false;
isConditionTrue_0 = false;
for (var i = 0, k = 0, l = gdjs.Untitled_32sceneCode.GDWhiteDecoratedButtonObjects1.length;i<l;++i) {
    if ( gdjs.Untitled_32sceneCode.GDWhiteDecoratedButtonObjects1[i].IsClicked((typeof eventsFunctionContext !== 'undefined' ? eventsFunctionContext : undefined)) ) {
        isConditionTrue_0 = true;
        gdjs.Untitled_32sceneCode.GDWhiteDecoratedButtonObjects1[k] = gdjs.Untitled_32sceneCode.GDWhiteDecoratedButtonObjects1[i];
        ++k;
    }
}
gdjs.Untitled_32sceneCode.GDWhiteDecoratedButtonObjects1.length = k;
if (isConditionTrue_0) {
{gdjs.evtTools.runtimeScene.pushScene(runtimeScene, "Безымянная сцена2");
}}

}


{

gdjs.copyArray(runtimeScene.getObjects("FloatingOutButtonDarkBlue"), gdjs.Untitled_32sceneCode.GDFloatingOutButtonDarkBlueObjects1);

let isConditionTrue_0 = false;
isConditionTrue_0 = false;
for (var i = 0, k = 0, l = gdjs.Untitled_32sceneCode.GDFloatingOutButtonDarkBlueObjects1.length;i<l;++i) {
    if ( gdjs.Untitled_32sceneCode.GDFloatingOutButtonDarkBlueObjects1[i].IsClicked((typeof eventsFunctionContext !== 'undefined' ? eventsFunctionContext : undefined)) ) {
        isConditionTrue_0 = true;
        gdjs.Untitled_32sceneCode.GDFloatingOutButtonDarkBlueObjects1[k] = gdjs.Untitled_32sceneCode.GDFloatingOutButtonDarkBlueObjects1[i];
        ++k;
    }
}
gdjs.Untitled_32sceneCode.GDFloatingOutButtonDarkBlueObjects1.length = k;
if (isConditionTrue_0) {
{gdjs.evtTools.runtimeScene.pushScene(runtimeScene, "Untitled scene");
}}

}


};

gdjs.Untitled_32sceneCode.func = function(runtimeScene) {
runtimeScene.getOnceTriggers().startNewFrame();

gdjs.Untitled_32sceneCode.GDNewSpriteObjects1.length = 0;
gdjs.Untitled_32sceneCode.GDNewSpriteObjects2.length = 0;
gdjs.Untitled_32sceneCode.GDCat6Objects1.length = 0;
gdjs.Untitled_32sceneCode.GDCat6Objects2.length = 0;
gdjs.Untitled_32sceneCode.GDCrateObjects1.length = 0;
gdjs.Untitled_32sceneCode.GDCrateObjects2.length = 0;
gdjs.Untitled_32sceneCode.GDCrate2Objects1.length = 0;
gdjs.Untitled_32sceneCode.GDCrate2Objects2.length = 0;
gdjs.Untitled_32sceneCode.GDSausagePackagedObjects1.length = 0;
gdjs.Untitled_32sceneCode.GDSausagePackagedObjects2.length = 0;
gdjs.Untitled_32sceneCode.GDBox2Objects1.length = 0;
gdjs.Untitled_32sceneCode.GDBox2Objects2.length = 0;
gdjs.Untitled_32sceneCode.GDNewTextObjects1.length = 0;
gdjs.Untitled_32sceneCode.GDNewTextObjects2.length = 0;
gdjs.Untitled_32sceneCode.GDWhiteDecoratedButtonObjects1.length = 0;
gdjs.Untitled_32sceneCode.GDWhiteDecoratedButtonObjects2.length = 0;
gdjs.Untitled_32sceneCode.GDFloatingOutButtonDarkBlueObjects1.length = 0;
gdjs.Untitled_32sceneCode.GDFloatingOutButtonDarkBlueObjects2.length = 0;

gdjs.Untitled_32sceneCode.eventsList0(runtimeScene);

return;

}

gdjs['Untitled_32sceneCode'] = gdjs.Untitled_32sceneCode;
